/**
 * The access control policy.
 */
export interface Policy {
    /** The list of statements. */
    statements: PolicyStatement[];
}
/**
 * The access control policy statement.
 */
export interface PolicyStatement {
    /** The optional statement identifier. */
    id?: string;
    /** The 'Allow' or 'Deny' effect. */
    effect: string;
    /** Indicates a user, group, project, company to which you would like to allow or deny access. The principal assertion is in the form of 'user:' or 'account:', the '*' indicates all users. */
    principal: string;
    /** The action: org:GetTree, org:CreateTree, org:UpdateTree, org:GetTreePolicy, org:UpdateTreePolicy, org:ListTrees, org:GetNode, org:CreateNode, org:UpdateNode, org:UpdateNodeLinksorg:ListNodes, org:GetNodeVersions, org:Subscribe. The '*' indicates all actions. */
    action: string[];
    /** The node name. The '*' wildcard supported as suffix to express a subtree. The '*' can be used to apply the statement to all resources. */
    resource: string[];
}
